---
title: Android
weight: 4
---

## リモートコントロール

ホームページでリモートデバイスのIDを入力するか、履歴デバイスを選択して確認します。
確認に成功すると、リモートデバイスをコントロールできます。

| ホーム | 正常に接続 |
| --- | --- |
| ![](/docs/en/client/android/images/connection_home_en.jpg?width=300px) | ![](/docs/en/client/android/images/connection_en.jpg?width=300px) |

入力コントロールは2つのモードを提供します：`マウスモード`と`タッチモード`で、下部のツールバーで切り替えることができます。

| マウス設定 | モード選択 |
| --- | --- |
| ![](/docs/en/client/android/images/touch_mode_icon_en.png?width=300px) | ![](/docs/en/client/android/images/touch_mode_en.jpg?width=300px) |

{{% notice note %}}
`マウスモード`では、`2本指タップ`でリモートデバイスの`右クリック`をトリガーすることもできます
{{% /notice %}}

## ファイル転送（Android）

> RustDesk ≥ 1.1.9が必要です

ホームページのデバイスリストでデバイスを選択します。

長押しまたは右側のメニューをタップして`ファイル転送`を選択します。

| ホーム | 正常に接続 |
| --- | --- |
| ![](/docs/en/client/android/images/connection_home_file_en.jpg?width=300px) | ![](/docs/en/client/android/images/file_connection_en.jpg?width=300px) |

- 初期ディレクトリはデバイスのホームディレクトリです。<i class="fas fa-home"></i>をクリックしてホームに素早く戻ることができます。
- タイトルバーの下はディレクトリレベルです。対応するフォルダをクリックして素早くジャンプできます。
- <i class="fas fa-arrow-up"></i>をクリックして親ディレクトリにアクセスします。
- 現在の絶対パスとプロジェクト統計がリストの下部に表示されます。
- タイトルバーの`ローカル`/`リモート`をクリックしてページを切り替えます。

### ファイルを転送するにはどうすればよいですか？

1. リスト内のファイルまたはフォルダを**長押し**して、**複数選択モード**に素早く入り、複数のアイテムを選択できます。
2. ファイルを選択した後、`ローカル`/`リモート`ページを切り替えます。切り替えると、画面下部に`ここに貼り付けますか？`というプロンプトが表示されます。
3. 画像内のファイル貼り付けアイコンをクリックして、選択したアイテムをターゲットディレクトリに転送します。

| 複数選択モード | ファイル貼り付け |
| --- | --- |
| ![](/docs/en/client/android/images/file_multi_select_en.jpg?width=300px) | ![](/docs/en/client/android/images/file_copy_en.jpg?width=300px) |

## ID/リレーサーバーの設定

1. 下部ナビゲーションバーの`設定`をクリックします。
2. `ID/リレーサーバー`をクリックします。
3. `IDサーバー`フィールドにIDサーバーのホスト名/IPアドレスを入力します。`リレーサーバー`と`APIサーバー`は空白のままにして、`キー`フィールドに公開キー（オプション、暗号化に必要）を入力します。**OK**を押して設定を保存します。指定したサーバーに自動的に切り替わります。

QRコードをスキャンして設定することもできます。QRコードを生成するには、以下の形式を使用してください（`host`と`key`の値を自分のものに変更してください）：

```nolang
config={"host": "xxx", "key": "xxx"}
```

その後、[オンラインQRコードジェネレーター](https://www.qr-code-generator.com/)にアクセスして、上記のコードを貼り付けてください。

下の画像はAndroidのスクリーンショットです。iOSの場合は、ホームページの右上メニューを確認してください。

![](/docs/en/client/android/images/id_setting_en.jpg?width=300px)

## Androidスマートフォンの画面/ファイルを共有する

バージョン1.1.9から、Androidクライアントにスマートフォンの画面共有とスマートフォンのファイルシステム共有機能が追加されました。

- 画面共有にはAndroid 6以上が必要です
- モバイルフォンシステムの内部オーディオを共有するにはAndroid 10以上が必要です
- iOSはまだ画面共有をサポートしていません

### 権限を要求してサービスを開始する

下部ナビゲーションバーから`画面共有`をクリックします。

必要に応じてさまざまな権限を設定します。RustDeskを開始するたびに、「画面キャプチャ」と「入力制御」権限を再度要求する必要があります。

![](/docs/en/client/android/images/server_off_en.jpg?width=300px)

| 権限 | 説明 |
| --- | --- |
| 画面キャプチャ | 画面キャプチャ共有権限を有効にするかどうか、監視サービスが起動と同時に有効になります |
| 入力制御* | コントローラーがスマートフォンの入力を制御することを許可するかどうか、マウスでの仮想タッチスクリーン操作など |
| ファイル転送* | ファイル転送権限を有効にするかどうか、起動後にこのスマートフォンのファイルシステムをリモート制御できます |
| オーディオキャプチャ | スマートフォン内部のシステム音楽を共有するかどうか（マイク入力ではありません） |

{{% notice note %}}
上記の*は特別な権限を表します。このような権限を取得するには、Androidシステム設定ページにジャンプして手動で取得する必要があります。詳細は以下の通りです
{{% /notice %}}

### 特別権限要求 - ファイル

| Androidファイル権限を要求すると、システム設定ページに自動的にジャンプします |
| :---: |
| ![](/docs/en/client/android/images/get_file_en.jpg?width=300px) |

### 特別権限要求 - マウス入力
| ステップ1：「インストール済みサービス」を見つける | ステップ2：RustDesk Inputを開始する |
| --- | --- |
| ![](/docs/en/client/android/images/get_input1_en.jpg?width=300px) | ![](/docs/en/client/android/images/get_input2_en.jpg?width=300px) |

{{% notice note %}}
異なるベンダーのシステム設定ページは異なる場合があります。システムページに応じて調整してください。
{{% /notice %}}

| リモートマウス制御ショートカット | 説明 |
| --- | --- |
| マウス右クリック | 戻る |
| マウスホイールクリック | ホーム |
| マウスホイール長押し | 最近開いたアプリ |
| マウスホイールスクロール | 垂直スライドをシミュレート |

### サービスを開始する

`画面キャプチャ`権限を取得すると、サービスが自動的に開始されます。`サービス開始`ボタンをクリックしてサービスを開始することもできます。サービスが開始されると、他のデバイスからのデスクトップ制御要求を受け入れることができます。

`ファイル転送`権限が有効になっている場合、他のデバイスからのファイル制御要求も受け入れることができます。

サービス開始後、このデバイスの一意のIDとランダムパスワードが自動的に取得されます。他のデバイスはIDとパスワードでスマートフォンを制御するか、新しい要求を受信したときに手動で確認できます。

| サービス開始前 | サービス開始後 |
| --- | --- |
| ![](/docs/en/client/android/images/server_off_en.jpg?width=300px) | ![](/docs/en/client/android/images/server_on_en.jpg?width=300px) |

{{% notice note %}}
1. `サービス開始`をクリックすると、デフォルトで`画面キャプチャ`権限が有効になります。
2. `画面キャプチャ`権限が取得されていない場合、他のデバイスは制御要求を発行できません。
3. `画面キャプチャ`権限を除いて、他の権限の切り替えは新しい接続にのみ影響し、確立された接続には影響しません。確立された接続の権限を切り替える必要がある場合は、まず現在の接続を閉じ、権限を変更してから制御要求を受信してください。
{{% /notice %}}

#### PC

![](/docs/en/client/android/images/android_server_pc_side_en.png?width=700px)

#### モバイル端末

| いつでもサービスを停止したり、指定した接続を閉じたりできます | チャットを受信または開始できます |
| --- | --- |
| ![](/docs/en/client/android/images/server_on_en.jpg?width=300px) | ![](/docs/en/client/android/images/android_server2_en.jpg?width=300px) |