---
title: 高度な設定
weight: 49
---

カスタムクライアントのすべての高度な設定をここで取り扱います。

## 設定の権限レベル

設定には4つのタイプがあります：

1. オーバーライド設定、`Web Console` → `カスタムクライアント`内
2. デフォルト設定、`Web Console` → `カスタムクライアント`内
3. ユーザー設定、RustDeskクライアント内
4. ストラテジー設定、`Web Console` → `ストラテジー`内

これらの設定の権限階層は次のとおりです：`オーバーライド > ストラテジー > ユーザー > デフォルト`。

## セキュリティ設定

### access-mode

着信接続のアクセスモード（権限）を設定します。

**場所**：

1. **デスクトップ** 設定 → セキュリティ → 権限
2. **モバイル**

| インストール必要 | 値 | デフォルト | 例 |
| :------: | :------: | :------: | :------: |
| N | custom, full, view | custom | `access-mode=custom` |

### enable-keyboard

着信接続のキーボード/マウス入力を有効にします。

**場所**：

1. **デスクトップ** 設定 → セキュリティ → 権限 → キーボードを有効にする
2. **モバイル**

| インストール必要 | 値 | デフォルト | 例 |
| :------: | :------: | :------: | :------: |
| N | Y, N | Y | `enable-keyboard=Y` |

### enable-clipboard

着信接続のコピー&ペーストを有効にします。

**場所**：

1. **デスクトップ** 設定 → セキュリティ → 権限 → クリップボードを有効にする
2. **モバイル**

| インストール必要 | 値 | デフォルト | 例 |
| :------: | :------: | :------: | :------: |
| N | Y, N | Y | `enable-clipboard=Y` |

### enable-file-transfer

着信接続のファイルコピー&ペーストまたはファイル転送（セッション）を有効にします。

**場所**：

1. **デスクトップ** 設定 → セキュリティ → 権限 → ファイル転送を有効にする
2. **モバイル**

| インストール必要 | 値 | デフォルト | 例 |
| :------: | :------: | :------: | :------: |
| N | Y, N | Y | `enable-file-transfer=Y` |

### enable-camera

着信接続のカメラを有効にします。

**場所**：

1. **デスクトップ** 設定 → セキュリティ → 権限 → カメラを有効にする
2. **モバイル**

| インストール必要 | 値 | デフォルト | 例 |
| :------: | :------: | :------: | :------: |
| N | Y, N | Y | `enable-camera=Y` |

### enable-terminal

着信接続のターミナルを有効にします。

**場所**:

**デスクトップ** 設定 → セキュリティ → 権限 → ターミナルを有効にする

| インストール必要 | 値 | デフォルト | 例 |
| :------: | :------: | :------: | :------: |
| N | Y, N | Y | `enable-terminal=Y` |

### enable-remote-printer

着信接続のリモートプリンターを有効にします。

**場所**：

1. **Windows** 設定 → セキュリティ → 権限 → リモートプリンターを有効にする

| インストール必要 | 値 | デフォルト | 例 |
| :------: | :------: | :------: | :------: |
| N | Y, N | Y | `enable-remote-printer=Y` |

### enable-audio

オーディオの録音とピアへの転送を有効にします。

**場所**：

1. **デスクトップ** 設定 → セキュリティ → 権限 → オーディオを有効にする
2. **モバイル**

| インストール必要 | 値 | デフォルト | 例 |
| :------: | :------: | :------: | :------: |
| N | Y, N | Y | `enable-audio=Y` |

### enable-tunnel

TCPトンネリングを有効にします。

**場所**：

1. **デスクトップ** 設定 → セキュリティ → 権限 → TCPトンネリングを有効にする
2. **モバイル**

| インストール必要 | 値 | デフォルト | 例 |
| :------: | :------: | :------: | :------: |
| N | Y, N | Y | `enable-tunnel=Y` |

### enable-remote-restart

制御側による再起動を有効にします。

**場所**：

1. **デスクトップ** 設定 → セキュリティ → 権限 → リモート再起動を有効にする
2. **モバイル**

| インストール必要 | 値 | デフォルト | 例 |
| :------: | :------: | :------: | :------: |
| N | Y, N | Y | `enable-remote-restart=Y` |

### enable-record-session

セッションの録画を有効にします。

**場所**：

1. **デスクトップ** 設定 → セキュリティ → 権限 → セッション録画を有効にする
2. **モバイル** 設定 → 画面共有 → セッション録画を有効にする

| インストール必要 | 値 | デフォルト | 例 |
| :------: | :------: | :------: | :------: |
| N | Y, N | Y | `enable-record-session=Y` |

### enable-block-input

制御側が他のユーザーの入力をブロックできるようにします。

**場所**：

1. **デスクトップ** 設定 → セキュリティ → 権限 → ユーザー入力のブロックを有効にする（Windowsのみ）
2. **モバイル**

| インストール必要 | 値 | デフォルト | 例 |
| :------: | :------: | :------: | :------: |
| N | Y, N | Y | `enable-block-input=Y` |

### allow-remote-config-modification

制御側が制御されたRustDesk UIの設定を変更することを許可します。

**場所**：

1. **デスクトップ** 設定 → セキュリティ → 権限 → リモート設定変更を有効にする
2. **モバイル**

| インストール必要 | 値 | デフォルト | 例 |
| :------: | :------: | :------: | :------: |
| N | Y, N | N | `allow-remote-config-modification=Y` |

### enable-lan-discovery

LANピアが自分を発見することを許可します。

LAN発見後、ローカルでサポートされている場合、[WOL](https://en.wikipedia.org/wiki/Wake-on-LAN)が動作できます。

**場所**：

1. **デスクトップ** 設定 → セキュリティ → セキュリティ → LAN発見を拒否
2. **モバイル** 設定 → 画面共有 → LAN発見を拒否

| インストール必要 | 値 | デフォルト | 例 |
| :------: | :------: | :------: | :------: |
| Y | Y, N | Y | `enable-lan-discovery=Y` |

### direct-server

直接IPアクセスを有効にします。

**場所**：

1. **デスクトップ** 設定 → セキュリティ → セキュリティ → 直接IPアクセスを有効にする
2. **モバイル** 設定 → 画面共有 → 直接IPアクセス

| インストール必要 | 値 | デフォルト | 例 |
| :------: | :------: | :------: | :------: |
| N | Y, N | N | `direct-server=Y` |

### direct-access-port

直接IPアクセスポート。

**場所**：

1. **デスクトップ** 設定 → セキュリティ → セキュリティ → 直接IPアクセスポート（「直接IPアクセスを有効にする」がチェックされている場合に表示）
2. **モバイル** 設定 → 画面共有 → 直接IPアクセス

| インストール必要 | 値 | デフォルト | 例 |
| :------: | :------: | :------: | :------: |
| N |  | 21118 | `direct-access-port=21118` |

### whitelist

IPホワイトリストを使用します。

**場所**：

1. **デスクトップ** 設定 → セキュリティ → セキュリティ → IPホワイトリストを使用
2. **モバイル** 設定 → 画面共有 → IPホワイトリストを使用

| インストール必要 | 値 | デフォルト | 例 |
| :------: | :------: | :------: | :------: |
| N | `,` または `<ip1>,<ip2>,<ip3>` | `,` はフィルタなしを意味 | `whitelist=,` |

### allow-auto-disconnect & auto-disconnect-timeout

ユーザーの非アクティブ期間後に着信セッションを自動的に閉じます。

**場所**：

1. **デスクトップ** 設定 → セキュリティ → セキュリティ → ユーザー非アクティブ時に着信セッションを自動的に閉じる
2. **モバイル** 設定 → 画面共有 → ユーザー非アクティブ時に着信セッションを自動的に閉じる

| オプション | インストール必要 | 値 | デフォルト | 例 |
| :------: | :------: | :------: | :------: | :------: |
| allow-auto-disconnect | N | Y, N | N | `allow-auto-disconnect=Y` |
| auto-disconnect-timeout | N | タイムアウト（分） | 10 | `auto-disconnect-timeout=10` |

### allow-only-conn-window-open

RustDeskウィンドウが開いている場合のみ接続を許可します。

**場所**：

1. **デスクトップ** 設定 → セキュリティ → セキュリティ → RustDeskウィンドウが開いている場合のみ接続を許可
2. **モバイル**

| インストール必要 | 値 | デフォルト | 例 |
| :------: | :------: | :------: | :------: |
| Y | Y, N | N | `allow-only-conn-window-open=N` |

### approve-mode

パスワードまたは手動クリックで着信接続を承認します。

**場所**：

1. **デスクトップ** 設定 → セキュリティ → パスワード → ドロップダウンボックス
2. **モバイル** 画面共有 → 右上のドロップダウンメニュー

| インストール必要 | 値 | デフォルト | 例 |
| :------: | :------: | :------: | :------: |
| N | password, click, password-click | password-click | `approve-mode=password-click` |

### verification-method

使用できるパスワードのタイプ、`一時パスワード`はワンタイムランダムパスワードを指します。

| インストール必要 | 値 | デフォルト | 例 |
| :------: | :------: | :------: | :------: |
| N | use-temporary-password, use-permanent-password, use-both-passwords | use-both-passwords | `verification-method=use-permanent-password` |

### temporary-password-length

1. **デスクトップ** 設定 → セキュリティ → パスワード → ワンタイムパスワードの長さ
2. **モバイル** 画面共有 → 右上のドロップダウンメニュー → ワンタイムパスワードの長さ

一時パスワードの長さ。

| インストール必要 | 値 | デフォルト | 例 |
| :------: | :------: | :------: | :------: |
| N | 6, 8, 10 | 6 | `temporary-password-length=6` |

### proxy-url

プロキシURL。

現在`http`と`socks5`をサポートしています。

**場所**：

1. **デスクトップ** 設定 → ネットワーク → プロキシ → Socks5/Http(s)プロキシ
2. **モバイル**

例：

1. **http** `proxy-url=http://192.168.0.2:12345`
2. **https** `proxy-url=https://192.168.0.2:12345`
3. **socks5** `proxy-url=socks5://192.168.0.2:1080`

### proxy-username & proxy-password

プロキシのユーザー名とパスワード。

**場所**：

1. **デスクトップ** 設定 → ネットワーク → プロキシ → Socks5/Http(s)プロキシ
2. **モバイル**

| オプション | インストール必要 | 値 | デフォルト | 例 |
| :------: | :------: | :------: | :------: | :------: |
| proxy-username | N | | | `proxy-username=user` |
| proxy-password | N | | | `proxy-password=pass` |

## 一般設定

### theme

RustDeskクライアントのUIテーマを制御します。

**場所**：

1. **デスクトップ** 設定 → 一般 → テーマ
2. **モバイル** 設定 → 設定 → テーマ

| インストール必要 | 値 | デフォルト | 例 |
| :------: | :------: | :------: | :------: |
| N | dark, light, system | system | `theme=system` |

### lang

RustDeskクライアントの言語を制御します。

**場所**：

1. **デスクトップ** 設定 → 一般 → 言語
2. **モバイル** 設定 → 設定 → 言語

| インストール必要 | 値 | デフォルト | 例 |
| :------: | :------: | :------: | :------: |
| N | default, ar, bg, ... | default | `lang=default` |

現在利用可能な言語：

ar, bg, ca, cs, da, de, el, en, eo, es, et, fa, fr, he, hr, hu, id, it, ja, ko, kz, lt, lv, nb, nl, pl, pt, ro, ru, sk, sl, sq, sr, sv, th, tr, uk, vn, zh-cn, zh-tw

最新の言語リストについては、コード内の[LANGS](https://github.com/rustdesk/rustdesk/blob/master/src/lang.rs#L45)を確認できます。

### allow-auto-record-incoming

着信セッションを自動録画します。

**場所**：

1. **デスクトップ** 設定 → 一般 → 録画 → 着信セッションを自動録画
2. **モバイル** 設定 → 録画 → 着信セッションを自動録画

| インストール必要 | 値 | デフォルト | 例 |
| :------: | :------: | :------: | :------: |
| N | Y, N | N | `allow-auto-record-incoming=Y` |

### allow-auto-record-outgoing

発信セッションを自動録画します。

**場所**：

1. **デスクトップ** 設定 → 一般 → 録画 → 発信セッションを自動録画
2. **モバイル** 設定 → 録画 → 発信セッションを自動録画

| インストール必要 | 値 | デフォルト | 例 | バージョン |
| :------: | :------: | :------: | :------: | :------: |
| N | Y, N | N | `allow-auto-record-outgoing=Y` | >= 1.3.2 |

### video-save-directory

録画されたビデオを保存するディレクトリ。

**場所**：

1. **デスクトップ** 設定 → 一般 → 録画 → ビデオ保存ディレクトリ
2. **モバイル** 設定 → 録画

デフォルト値：

1. **macOS** ~/Movies/**app_name**
2. **Linux** ~/Videos/**app_name**
3. **Windows** %USERPROFILE%\Videos\\**app_name**
4. **Android** /Storage/emulated/0/**app_name**/ScreenRecord

**注意**：**app_name**を現在のアプリ名に置き換えてください。

### enable-confirm-closing-tabs

すべてのリモートタブを閉じる前に確認ダイアログを表示するかどうかを制御します。

**場所**：

1. **デスクトップ** 設定 → 一般 → その他 → 複数のタブを閉じる前に確認
2. **モバイル**

| インストール必要 | 値 | デフォルト | 例 |
| :------: | :------: | :------: | :------: |
| N | Y, N | Y | `enable-confirm-closing-tabs=Y` |

### enable-abr

アダプティブビットレートを有効にします。

**場所**：

1. **デスクトップ** 設定 → 一般 → その他 → アダプティブビットレート
2. **モバイル** 設定 → 画面共有 → アダプティブビットレート（ベータ）

| インストール必要 | 値 | デフォルト | 例 |
| :------: | :------: | :------: | :------: |
| N | Y, N | Y | `enable-abr=Y` |

### allow-remove-wallpaper

着信セッション中に壁紙を削除します。

**場所**：

1. **デスクトップ** 設定 → 一般 → その他 → 着信セッション中に壁紙を削除
2. **モバイル**

| インストール必要 | 値 | デフォルト | 例 |
| :------: | :------: | :------: | :------: |
| N | Y, N | N | `allow-remove-wallpaper=N` |

### enable-open-new-connections-in-tabs

新しい接続を開くために新しいタブまたは新しいウィンドウを使用するかを制御します。

**場所**：

1. **デスクトップ** 設定 → 一般 → その他 → 新しいタブで接続を開く
2. **モバイル**

| インストール必要 | 値 | デフォルト | 例 |
| :------: | :------: | :------: | :------: |
| N | Y, N | Y | `enable-open-new-connections-in-tabs=Y` |

### allow-always-software-render

常にソフトウェアレンダリングを使用します。

**場所**：

1. **デスクトップ** 設定 → 一般 → その他 → 常にソフトウェアレンダリングを使用
2. **モバイル**

| インストール必要 | 値 | デフォルト | 例 |
| :------: | :------: | :------: | :------: |
| N | Y, N | N | `allow-always-software-render=N` |

### allow-linux-headless

ディスプレイがない場合の着信接続を許可します。

このオプションはデスクトップ環境、Xorgサーバー、GDMが必要です。[PR 3902](https://github.com/rustdesk/rustdesk/pull/3902)を参照してください。

**場所**：

1. **デスクトップ** 設定 → 一般 → その他 → Linux headlessを許可
2. **モバイル**

| インストール必要 | 値 | デフォルト | 例 |
| :------: | :------: | :------: | :------: |
| Y | Y, N | N | `allow-linux-headless=N` |

### enable-hwcodec

画像をより滑らかにするためにハードウェアエンコーディングを有効にします。

**場所**：

1. **デスクトップ**
2. **モバイル** 設定 → ハードウェアコーデック

| インストール必要 | 値 | デフォルト | 例 |
| :------: | :------: | :------: | :------: |
| N | Y, N | Y | `enable-hwcodec=Y` |

### peer-card-ui-type

ピアカードのビューを制御します。「大きなタイル」、「小さなタイル」、「リスト」が含まれます。

**場所**：

1. **デスクトップ** ホーム → ピアパネル → 右上のグリッドアイコン
2. **モバイル**

| インストール必要 | 値 | デフォルト | 例 |
| :------: | :------: | :------: | :------: |
| N | 0, 1, 2 | 0 | `peer-card-ui-type=0` |

**0** 大きなタイル  
**1** 小さなタイル  
**2** リスト

### peer-sorting

ピアカードの順序を制御します。

**場所**：

1. **デスクトップ** ホーム → ピアパネル → 右上のソートアイコン
2. **モバイル**

| インストール必要 | 値 | デフォルト | 例 |
| :------: | :------: | :------: | :------: |
| N | Remote ID, Remote Host, Username | Remote ID | `peer-sorting=Remote ID` |

### sync-ab-with-recent-sessions

アドレスブックを最近のセッションと同期するかどうかを制御します。

**場所**：

1. **デスクトップ** ホーム → ピアパネル → アドレスブック → タグ → ドロップダウンメニュー → 最近のセッションと同期
2. **モバイル** ホーム → ピアパネル → アドレスブック → タグ → ドロップダウンメニュー → 最近のセッションと同期

| インストール必要 | 値 | デフォルト | 例 |
| :------: | :------: | :------: | :------: |
| N | Y, N | N | `sync-ab-with-recent-sessions=N` |

### sync-ab-tags

アドレスブックのタグをソートするかどうかを制御します。

**場所**：

1. **デスクトップ** ホーム → ピアパネル → アドレスブック → タグ → ドロップダウンメニュー → タグをソート
2. **モバイル** ホーム → ピアパネル → アドレスブック → タグ → ドロップダウンメニュー → タグをソート

| インストール必要 | 値 | デフォルト | 例 |
| :------: | :------: | :------: | :------: |
| N | Y, N | N | `sync-ab-tags=N` |

### filter-ab-by-intersection

タグの交差によってアドレスブックをフィルタリングします。

**プレビュー**：[PR #5985](https://github.com/rustdesk/rustdesk/pull/5985)

**場所**：

1. **デスクトップ** ホーム → ピアパネル → アドレスブック → タグ → ドロップダウンメニュー → 交差でフィルタ
2. **モバイル** ホーム → ピアパネル → アドレスブック → タグ → ドロップダウンメニュー → 交差でフィルタ

| インストール必要 | 値 | デフォルト | 例 |
| :------: | :------: | :------: | :------: |
| N | Y, N | N | `filter-ab-by-intersection=N` |

## ディスプレイ設定

### view-only

このオプションは、最初の接続後に各ピアの「表示専用」オプションを設定します。

その後、各ピアの設定の「表示専用」オプションが接続が表示専用かどうかを制御します。

**場所**：

1. **デスクトップ** 設定 → ディスプレイ → その他のデフォルトオプション → ビューモード
2. **モバイル** 設定 → ディスプレイ設定 → その他のデフォルトオプション → ビューモード

| インストール必要 | 値 | デフォルト | 例 |
| :------: | :------: | :------: | :------: |
| N | Y, N | N | `view-only=Y` |

### show-monitors-toolbar

ツールバーにモニターを表示するかどうかを制御します。

![show-monitors-toolbar](/docs/en/self-host/client-configuration/advanced-settings/images/show-monitors-toolbar.png)

**場所**：

1. **デスクトップ** 設定 → ディスプレイ → その他のデフォルトオプション → モニターツールバーを表示
2. **モバイル**

| インストール必要 | 値 | デフォルト | 例 |
| :------: | :------: | :------: | :------: |
| N | Y, N | N | `show-monitors-toolbar=Y` |

### collapse-toolbar

接続後にリモートツールバーを折りたたむかどうかを制御します。

**場所**：

1. **デスクトップ** 設定 → ディスプレイ → その他のデフォルトオプション → ツールバーを折りたたむ
2. **モバイル**

| インストール必要 | 値 | デフォルト | 例 |
| :------: | :------: | :------: | :------: |
| N | Y, N | N | `collapse-toolbar=Y` |

### show-remote-cursor

このオプションは、最初の接続後に各ピアの「リモートカーソルを表示」オプションを設定します。

その後、各ピアの設定の「リモートカーソルを表示」オプションがリモート制御ページでリモートカーソルが表示されるかどうかを制御します。

**場所**：

1. **デスクトップ** 設定 → ディスプレイ → その他のデフォルトオプション → リモートカーソルを表示
2. **モバイル** 設定 → ディスプレイ設定 → その他のデフォルトオプション → リモートカーソルを表示

| インストール必要 | 値 | デフォルト | 例 |
| :------: | :------: | :------: | :------: |
| N | Y, N | N | `show-remote-cursor=N` |

### follow-remote-cursor

このオプションは、最初の接続後に各ピアの「リモートカーソルを追跡」オプションを設定します。

その後、各ピアの設定の「リモートカーソルを追跡」オプションがリモートカーソルを追跡するかどうかを制御します。

**プレビュー**：[PR 7717](https://github.com/rustdesk/rustdesk/pull/7717)

**場所**：

1. **デスクトップ** 設定 → ディスプレイ → その他のデフォルトオプション → リモートカーソルを追跡
2. **モバイル** 設定 → ディスプレイ設定 → その他のデフォルトオプション → リモートカーソルを追跡

| インストール必要 | 値 | デフォルト | 例 |
| :------: | :------: | :------: | :------: |
| N | Y, N | N | `follow-remote-cursor=Y` |

### follow-remote-window

このオプションは、最初の接続後に各ピアの「リモートウィンドウを追跡」オプションを設定します。

その後、各ピアの設定の「リモートウィンドウを追跡」オプションがリモートウィンドウを追跡するかどうかを制御します。

**プレビュー**：[PR 7717](https://github.com/rustdesk/rustdesk/pull/7717)

**場所**：

1. **デスクトップ** 設定 → ディスプレイ → その他のデフォルトオプション → リモートウィンドウフォーカスを追跡
2. **モバイル** 設定 → ディスプレイ設定 → その他のデフォルトオプション → リモートウィンドウフォーカスを追跡

| インストール必要 | 値 | デフォルト | 例 |
| :------: | :------: | :------: | :------: |
| N | Y, N | N | `follow-remote-window=Y` |

### zoom-cursor

このオプションは、最初の接続後に各ピアの「カーソルズーム」オプションを設定します。

各ピアの設定の「カーソルズーム」オプションは、カーソルが現在の画像スケールに基づいてスケールされるかどうかを制御します。

**場所**：

1. **デスクトップ** 設定 → ディスプレイ → その他のデフォルトオプション → カーソルズーム
2. **モバイル**

| インストール必要 | 値 | デフォルト | 例 |
| :------: | :------: | :------: | :------: |
| N | Y, N | N | `zoom-cursor=Y` |

### show-quality-monitor

このオプションは、最初の接続後に各ピアの「品質モニターを表示」オプションを設定します。

各ピアの設定の「品質モニターを表示」オプションは、品質モニターを表示するかどうかを制御します。

**場所**：

1. **デスクトップ** 設定 → ディスプレイ → その他のデフォルトオプション → 品質モニターを表示
2. **モバイル** 設定 → ディスプレイ設定 → その他のデフォルトオプション → 品質モニターを表示

| インストール必要 | 値 | デフォルト | 例 |
| :------: | :------: | :------: | :------: |
| N | Y, N | N | `show-quality-monitor=Y` |

### disable-audio

このオプションは、最初の接続後に各ピアの「オーディオを無効化」オプションを設定します。

各ピアの設定の「オーディオを無効化」オプションは、音声を再生するかどうかを制御します。

**場所**：

1. **デスクトップ** 設定 → ディスプレイ → その他のデフォルトオプション → ミュート
2. **モバイル** 設定 → ディスプレイ設定 → その他のデフォルトオプション → ミュート

| インストール必要 | 値 | デフォルト | 例 |
| :------: | :------: | :------: | :------: |
| N | Y, N | N | `disable-audio=Y` |

### enable-file-copy-paste

このオプションは、最初の接続後に各ピアの「ファイルコピー&ペーストを有効化」オプションを設定します。

各ピアの設定の「ファイルコピー&ペーストを有効化」オプションは、接続でファイルコピー&ペーストを有効にするかどうかを制御します。

**場所**：

1. **デスクトップ** 設定 → ディスプレイ → その他のデフォルトオプション → ファイルコピー&ペーストを有効化（Windowsのみ）
2. **モバイル**

| インストール必要 | 値 | デフォルト | 例 |
| :------: | :------: | :------: | :------: |
| N | Y, N | N | `enable-file-copy-paste=Y` |

### disable-clipboard

このオプションは、最初の接続後に各ピアの「クリップボードを無効化」オプションを設定します。

各ピアの設定の「クリップボードを無効化」オプションは、テキストコピー&ペーストを有効にするかどうかを制御します。

**場所**：

1. **デスクトップ** 設定 → ディスプレイ → その他のデフォルトオプション → クリップボードを無効化
2. **モバイル** 設定 → ディスプレイ設定 → その他のデフォルトオプション → クリップボードを無効化

| インストール必要 | 値 | デフォルト | 例 |
| :------: | :------: | :------: | :------: |
| N | Y, N | N | `disable-clipboard=Y` |

### lock-after-session-end

このオプションは、最初の接続後に各ピアの「セッション終了後にロック」オプションを設定します。

各ピアの設定の「セッション終了後にロック」オプションは、セッション終了後にピアマシンをロックするかどうかを制御します。

**場所**：

1. **デスクトップ** 設定 → ディスプレイ → その他のデフォルトオプション → セッション終了後にロック
2. **モバイル** 設定 → ディスプレイ設定 → その他のデフォルトオプション → セッション終了後にロック

| インストール必要 | 値 | デフォルト | 例 |
| :------: | :------: | :------: | :------: |
| N | Y, N | N | `lock-after-session-end=Y` |

### privacy-mode

このオプションは、最初の接続後に各ピアの「プライバシーモード」オプションを設定します。

各ピアの設定の「プライバシーモード」オプションは、接続後にプライバシーモードを使用するかどうかを制御します。

**場所**：

1. **デスクトップ** 設定 → ディスプレイ → その他のデフォルトオプション → プライバシーモード
2. **モバイル** 設定 → ディスプレイ設定 → その他のデフォルトオプション → プライバシーモード

| インストール必要 | 値 | デフォルト | 例 |
| :------: | :------: | :------: | :------: |
| N | Y, N | N | `privacy-mode=Y` |

### touch-mode

このオプションは、最初の接続後に各ピアの「タッチモード」オプションを設定します。

各ピアの設定の「タッチモード」オプションは、タッチモードまたはマウスモードを使用するかどうかを制御します。

**場所**：

1. **デスクトップ**
2. **モバイル** 設定 → ディスプレイ設定 → その他のデフォルトオプション → タッチモード

| インストール必要 | 値 | デフォルト | 例 |
| :------: | :------: | :------: | :------: |
| N | Y, N | N | `touch-mode=Y` |

### i444

このオプションは、最初の接続後に各ピアの「i444」オプションを設定します。

各ピアの設定の「i444」オプションは、トゥルーカラーを使用するかどうかを制御します。

**場所**：

1. **デスクトップ** 設定 → ディスプレイ → その他のデフォルトオプション → トゥルーカラー（4:4:4）
2. **モバイル** 設定 → ディスプレイ設定 → その他のデフォルトオプション → トゥルーカラー（4:4:4）

| インストール必要 | 値 | デフォルト | 例 |
| :------: | :------: | :------: | :------: |
| N | Y, N | N | `i444=Y` |

### reverse-mouse-wheel

このオプションは、最初の接続後に各ピアの「マウスホイールを反転」オプションを設定します。

各ピアの設定の「マウスホイールを反転」オプションは、マウスホイールを反転するかどうかを制御します。

**場所**：

1. **デスクトップ** 設定 → ディスプレイ → その他のデフォルトオプション → マウスホイールを反転
2. **モバイル** 設定 → ディスプレイ設定 → その他のデフォルトオプション → マウスホイールを反転

| インストール必要 | 値 | デフォルト | 例 |
| :------: | :------: | :------: | :------: |
| N | Y, N | N | `reverse-mouse-wheel=Y` |

### swap-left-right-mouse

このオプションは、最初の接続後に各ピアの「左右マウスボタンを交換」オプションを設定します。

各ピアの設定の「左右マウスボタンを交換」オプションは、左右マウスボタンを交換するかどうかを制御します。

**場所**：

1. **デスクトップ** 設定 → ディスプレイ → その他のデフォルトオプション → 左右マウスボタンを交換
2. **モバイル** 設定 → ディスプレイ設定 → その他のデフォルトオプション → 左右マウスボタンを交換

| インストール必要 | 値 | デフォルト | 例 |
| :------: | :------: | :------: | :------: |
| N | Y, N | N | `swap-left-right-mouse=Y` |

### displays-as-individual-windows

このオプションは、最初の接続後に各ピアの「ディスプレイを個別ウィンドウとして」オプションを設定します。

各ピアの設定の「ディスプレイを個別ウィンドウとして」オプションは、ディスプレイを個別のウィンドウとして表示するかどうかを制御します。

**プレビュー**：[PR 5945](https://github.com/rustdesk/rustdesk/pull/5945)

**場所**：

1. **デスクトップ** 設定 → ディスプレイ → その他のデフォルトオプション → ディスプレイを個別ウィンドウとして表示
2. **モバイル**

| インストール必要 | 値 | デフォルト | 例 |
| :------: | :------: | :------: | :------: |
| N | Y, N | N | `displays-as-individual-windows=Y` |

### use-all-my-displays-for-the-remote_session

このオプションは、最初の接続後に各ピアの「リモートセッションに全ディスプレイを使用」オプションを設定します。

各ピアの設定の「リモートセッションに全ディスプレイを使用」オプションは、リモートセッションに全ディスプレイを使用するかどうかを制御します。

**プレビュー**：[PR 6064](https://github.com/rustdesk/rustdesk/pull/6064)

**場所**：

1. **デスクトップ** 設定 → ディスプレイ → その他のデフォルトオプション → リモートセッションに全ディスプレイを使用
2. **モバイル**

| インストール必要 | 値 | デフォルト | 例 |
| :------: | :------: | :------: | :------: |
| N | Y, N | N | `use-all-my-displays-for-the-remote_session=Y` |

### view-style

このオプションは、最初の接続後に各ピアの「ビュースタイル」オプションを設定します。

各ピアの設定の「ビュースタイル」オプションは、ビュースタイルを制御します。

**場所**：

1. **デスクトップ** 設定 → ディスプレイ → デフォルトビュースタイル
2. **モバイル** 設定 → ディスプレイ設定 → デフォルトビュースタイル

| インストール必要 | 値 | デフォルト | 例 |
| :------: | :------: | :------: | :------: |
| N | original, adaptive | original | `view-style=original` |

### scroll-style

このオプションは、最初の接続後に各ピアの「スクロールスタイル」オプションを設定します。

各ピアの設定の「スクロールスタイル」オプションは、スクロールスタイルを制御します。

**場所**：

1. **デスクトップ** 設定 → ディスプレイ → デフォルトスクロールスタイル
2. **モバイル**

| インストール必要 | 値 | デフォルト | 例 |
| :------: | :------: | :------: | :------: |
| N | scrollauto, scrollbar | scrollauto | `scroll-style=scrollauto` |

### image-quality

このオプションは、最初の接続後に各ピアの「画像品質」オプションを設定します。

各ピアの設定の「画像品質」オプションは、画像品質を制御します。

**場所**：

1. **デスクトップ** 設定 → ディスプレイ → デフォルト画像品質
2. **モバイル** 設定 → ディスプレイ設定 → デフォルト画像品質

| インストール必要 | 値 | デフォルト | 例 |
| :------: | :------: | :------: | :------: |
| N | best, balanced, low, custom | balanced | `image-quality=balanced` |

### custom-image-quality

このオプションは、最初の接続後に各ピアの「カスタム画像品質」オプションを設定します。

「画像品質」がカスタムに設定されている場合、各ピアの設定の「カスタム画像品質」オプションが画像品質を制御します。

**場所**：

1. **デスクトップ** 設定 → ディスプレイ → デフォルト画像品質 → カスタム
2. **モバイル** 設定 → ディスプレイ設定 → デフォルト画像品質 → カスタム

| インストール必要 | 値 | デフォルト | 例 |
| :------: | :------: | :------: | :------: |
| N | [10.0, 2000.0] | 50.0 | `custom-image-quality=50` |

### custom-fps

このオプションは、最初の接続後に各ピアの「カスタムfps」オプションを設定します。

「画像品質」がカスタムに設定されている場合、各ピアの設定の「カスタムfps」オプションがfpsを制御します。

**場所**：

1. **デスクトップ** 設定 → ディスプレイ → デフォルト画像品質 → カスタム
2. **モバイル** 設定 → ディスプレイ設定 → デフォルト画像品質 → カスタム

| インストール必要 | 値 | デフォルト | 例 |
| :------: | :------: | :------: | :------: |
| N | [5, 120] | 30 | `custom-fps=30` |

### codec-preference

このオプションは、最初の接続後に各ピアの「コーデック設定」オプションを設定します。

各ピアの設定の「コーデック設定」オプションは、画像のコーデックを制御します。

**場所**：

1. **デスクトップ** 設定 → ディスプレイ → デフォルトコーデック
2. **モバイル** 設定 → ディスプレイ設定 → デフォルトコーデック

| インストール必要 | 値 | デフォルト | 例 |
| :------: | :------: | :------: | :------: |
| N | auto, vp8, vp9, av1, h264, h265 | auto | `codec-preference=auto` |

**注意**："vp8"と"vp9"以外のオプションは動作しない場合があります。これはマシンがサポートするものに依存します。

### terminal-persistent

このオプションは、最初の接続後に各ピアの「terminal-persistent」オプションを設定します。

各ピアの設定にある「terminal-persistent」オプションは、切断時にターミナルセッションを保持するかどうかを制御します。

**場所**:

1. **デスクトップ** 設定 → ディスプレイ → その他のデフォルトオプション → 切断時にターミナルセッションを保持する
2. **モバイル** 設定 → ディスプレイ設定 → その他のデフォルトオプション → 切断時にターミナルセッションを保持する

| インストール必要 | 値 | デフォルト | 例 |
| :------: | :------: | :------: | :------: |
| N | Y, N | N | `terminal-persistent=Y` |

### trackpad-speed

このオプションは、最初の接続後に各ピアの「trackpad-speed」オプションを設定します。

各ピアの設定にある「trackpad-speed」オプションは、「trackpad-speed」がカスタムに設定されている場合のfpsを制御します。

**場所**:

1. **デスクトップ** 設定 → ディスプレイ → デフォルトのトラックパッド速度
2. **モバイル** 設定 → ディスプレイ設定 → デフォルトのトラックパッド速度

| インストール必要 | 値 | デフォルト | 例 |
| :------: | :------: | :------: | :------: |
| N | [10, 1000] | 100 | `trackpad-speed=100` |

### use-texture-render

**場所**:

**デスクトップ** 設定 → 一般 → その他 → テクスチャレンダリングを使用する

テクスチャレンダリングを使用して、画像をより滑らかにします。レンダリングの問題が発生した場合は、このオプションを無効にしてみてください。デスクトップでのみ利用可能です。

| 値 | デフォルト | 例 |
| :------: | :------: | :------: |
| Y, N | linux:Y, macOS:N, win7:N, win10+:Y | `use-texture-render=Y` |

### enable-udp-punch

**場所**:

**デスクトップ** 設定 → 一般 → その他 → UDPホールパンチングを有効にする
**モバイル** 設定 → UDPホールパンチングを有効にする

RustDesk 1.4.1, RustDesk Server Pro 1.6.2から利用可能

| 値 | デフォルト | 例 |
| :------: | :------: | :------: |
| Y, N | Y | `enable-udp-punch=N` |

### enable-ipv6-punch

**場所**:

**デスクトップ** 設定 → 一般 → その他 → IPv6 P2P接続を有効にする
**モバイル** 設定 → 一般 → その他 → IPv6 P2P接続を有効にする

RustDesk 1.4.1, RustDesk Server Pro 1.6.2から利用可能

| 値 | デフォルト | 例 |
| :------: | :------: | :------: |
| Y, N | セルフホスト:N, その他:Y | `enable-ipv6-punch=N` |

## その他

### preset-address-book-name & preset-address-book-tag

プリセットアドレスブック名とタグ、https://github.com/rustdesk/rustdesk-server-pro/issues/257。
タグを設定したくない場合は、preset-address-book-nameのみを設定できます。
Web コンソールのアドレスブックページで有効なアドレスブック名とタグを使用してください。

| オプション | インストール必要 | 値 | デフォルト | 例 |
| :------: | :------: | :------: | :------: | :------: |
| preset-address-book-name | N | | | `preset-address-book-name=<アドレスブック名>` |
| preset-address-book-tag | N | | | `preset-address-book-tag=<アドレスブックタグ名>` |

### disable-group-panel

RustDeskクライアントでグループパネル（アドレスブックパネルの隣、1.3.8以降は「アクセス可能なデバイス」と命名）を無効にします、https://github.com/rustdesk/rustdesk-server-pro/issues/250。

| オプション | インストール必要 | 値 | デフォルト | 例 |
| :------: | :------: | :------: | :------: | :------: |
| disable-group-panel | N | Y, N | N | `disable-group-panel=Y` |

### pre-elevate-service

Windows ポータブルの実行時の自動昇格、https://github.com/rustdesk/rustdesk-server-pro/issues/252。

| オプション | インストール必要 | 値 | デフォルト | 例 |
| :------: | :------: | :------: | :------: | :------: |
| pre-elevate-service | N | Y, N | N | `pre-elevate-service=Y` |

### disable-floating-window

Androidサービスが開始すると、フローティングウィンドウを表示し、システムがRustDeskサービスを終了することを防ぐのに役立ちます。

| 値 | デフォルト | 例 |
| :------: | :------: | :------: |
| Y, N | N | `disable-floating-window=Y` |

### floating-window-size

Androidサービスが開始すると、フローティングウィンドウを表示し、システムがRustDeskサービスを終了することを防ぐのに役立ちます。サイズが120未満の場合、フローティングウィンドウはクリックしにくくなります。非常に小さなサイズでは、一部のデバイスでバックグラウンドサービスを維持できない場合があります。

| 値 | デフォルト | 例 |
| :------: | :------: | :------: |
| [32, 320] | 120 | `floating-window-size=120` |

### floating-window-untouchable

デフォルトでは、フローティングウィンドウをクリックするとメニューが表示されます。「タッチ不可」に設定した後、クリックやスワイプはフローティングウィンドウを通過して下層のウィンドウに送信されます。「タッチ不可」に設定した後、フローティングウィンドウの位置は変更できず、システムが自動的にフローティングウィンドウを半透明に設定する場合があります。ただし、この機能はGitHubアプリなど少数のアプリケーションで動作しない場合があります。

| 値 | デフォルト | 例 |
| :------: | :------: | :------: |
| Y, N | N | `floating-window-untouchable=Y` |

### floating-window-transparency

Androidフローティングウィンドウには調整可能な透明度があります。フローティングウィンドウを有効にしつつ隠したい場合は、透明度を0に設定できます。フローティングウィンドウは自動的に「タッチ不可」に設定され、クリックイベントを通過させます。

| 値 | デフォルト | 例 |
| :------: | :------: | :------: |
| [0, 10] | 10 | `floating-window-transparency=5` |

### floating-window-svg

Androidフローティングウィンドウにアイコンが設定されていない場合、デフォルトでRustDeskアイコンが表示されます。
設定する際は、SVGのテキストコンテンツを1行で記述し、[SVGサポートの制限](https://bigbadaboom.github.io/androidsvg/index.html)に注意してください。

| デフォルト | 例 |
| :------: | :------: |
| RustDeskアイコン | `floating-window-svg=<?xml version="1.0" standalone="no"?><!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN" "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd"><svg t="1717559129252" class="icon" viewBox="0 0 1024 1024" version="1.1" xmlns="http://www.w3.org/2000/svg" p-id="4248" xmlns:xlink="http://www.w3.org/1999/xlink" width="32" height="32"><path d="M950.857143 512c0 242.285714-196.571429 438.857143-438.857143 438.857143S73.142857 754.285714 73.142857 512 269.714286 73.142857 512 73.142857s438.857143 196.571429 438.857143 438.857143z" fill="#1296db" p-id="4249"></path></svg>` |

### keep-screen-on

これはAndroid被制御側用です。画面をオンに保つことはフローティングウィンドウに依存することに注意してください。

| 値 | デフォルト | 例 |
| :------: | :------: | :------: |
| never, during-controlled, service-on | during-controlled | `keep-screen-on=never` |

### enable-directx-capture

これはWindows被制御側用です。問題がない場合は、GDIを直接使用するのではなく、スクリーンショットにDirectXを使用することを優先するデフォルト設定の使用をお勧めします。

| 値 | デフォルト | 例 |
| :------: | :------: | :------: |
| Y, N | Y | `enable-directx-capture=N` |

### enable-android-software-encoding-half-scale

これはAndroid被制御側用です。デフォルトでは、解像度が1200を超える場合、ハードウェアエンコーディングは元の解像度を使用し、ソフトウェアエンコーディングは半分の解像度を使用します。ソフトウェアエンコーディングが遅いためです。このオプションは、ソフトウェアエンコーディングを半分の解像度にスケールするかどうかを設定するために使用されます。

| 値 | デフォルト | 例 |
| :------: | :------: | :------: |
| Y, N | Y | `enable-android-software-encoding-half-scale=N` |

### allow-remote-cm-modification

制御側が接続管理ウィンドウをクリックして接続を受け入れたり、権限を変更したりできるかどうかを制御します。

https://github.com/rustdesk/rustdesk/issues/7425

| 値 | デフォルト | 例 |
| :------: | :------: | :------: |
| Y, N | N | `allow-remote-cm-modification=Y` |

### remove-preset-password-warning

カスタムクライアントにプリセットパスワードがある場合に、GUIのセキュリティ警告を削除するかどうかを制御します。

https://github.com/rustdesk/rustdesk-server-pro/discussions/286

https://github.com/rustdesk/rustdesk/discussions/7956

| 値 | デフォルト | 例 |
| :------: | :------: | :------: |
| Y, N | Y | `remove-preset-password-warning=Y` |

### hide-security-settings / hide-network-settings / hide-server-settings / hide-proxy-settings / hide-websocket-settings / hide-remote-printer-settings

一部の設定を非表示にするかどうかを制御します。`設定を無効にする`がオフになっていることを確認してください。そうでないとこれらが動作しません。

https://github.com/rustdesk/rustdesk-server-pro/issues/263

https://github.com/rustdesk/rustdesk-server-pro/issues/276

| 値 | デフォルト | 例 |
| :------: | :------: | :------: |
| Y, N | N | `hide-security-settings=Y` |

### hide-username-on-card

デバイスリストにユーザー名を表示するかどうかを制御します。ユーザー名が長すぎる場合、他の情報が隠れてしまうためです。

https://github.com/rustdesk/rustdesk-server-pro/issues/284#issuecomment-2216521407

| 値 | デフォルト | 例 |
| :------: | :------: | :------: |
| Y, N | N | `hide-username-on-card=Y` |

### hide-help-cards

GUIでUAC/権限警告を表示するかどうかを制御します。

https://github.com/rustdesk/rustdesk/issues/8687

| 値 | デフォルト | 例 |
| :------: | :------: | :------: |
| Y, N | N | `hide-help-cards=Y` |

### display-name

リモートデバイスに接続する際のポップアップに表示される表示名を変更します。デフォルトでは、まずログインユーザーの名前を表示し、そうでなければOSユーザー名を表示します。

https://github.com/rustdesk/rustdesk-server-pro/issues/277

### disable-udp

TCPのみを使用するかどうかを制御します。UDP 21116は使用されなくなり、代わりにTCP 21116が使用されます。

| 値 | デフォルト | 例 |
| :------: | :------: | :------: |
| Y, N | N | `disable-udp=Y` |

### preset-user-name / preset-strategy-name / preset-device-group-name

ユーザー/ストラテジー/デバイスグループをデバイスに割り当てます。これは[コマンドライン](https://rustdesk.com/docs/en/self-host/rustdesk-server-pro/console/#assign-device-usersgroupsstrategies-to-devices)でも行うことができます。

https://github.com/rustdesk/rustdesk-server-pro/discussions/304

デバイスグループはRustDeskクライアント>=1.3.8、pro >= 1.5.0で利用可能

### default-connect-password

リモートデバイスへの接続を確立するために`デフォルト接続パスワード`を使用します。このパスワードは制御側で設定され、被制御（受信のみ）クライアントで見つかる[プリセットパスワード](https://github.com/rustdesk/rustdesk/wiki/FAQ#how-can-we-set-up-a-client-with-a-fixed-password-for-unattended-remote-access)と混同してはいけません。

例 `default-connect-password=abcd1234`

### enable-trusted-devices

信頼できるデバイスが2FA検証をスキップできるようにします。

https://github.com/rustdesk/rustdesk/discussions/8513#discussioncomment-10234494

| 値 | デフォルト | 例 |
| :------: | :------: | :------: |
| Y, N | Y | `enable-trusted-devices=N` |

### hide-tray

システムトレイのトレイアイコンを無効にします。

https://github.com/rustdesk/rustdesk-server-pro/issues/332

| 値 | デフォルト | 例 |
| :------: | :------: | :------: |
| Y, N | N | `hide-tray=Y` |

### one-way-clipboard-redirection

被制御側から制御側へのクリップボード同期を無効にします。RustDeskクライアント>=1.3.1（被制御側）で利用可能

https://github.com/rustdesk/rustdesk/discussions/7837

| 値 | デフォルト | 例 |
| :------: | :------: | :------: |
| Y, N | N | `one-way-clipboard-redirection=Y` |

### one-way-file-transfer

被制御側から制御側へのファイル転送を無効にします。RustDeskクライアント>=1.3.1（被制御側）で利用可能

https://github.com/rustdesk/rustdesk/discussions/7837

| 値 | デフォルト | 例 |
| :------: | :------: | :------: |
| Y, N | N | `one-way-file-transfer=Y` |

### sync-init-clipboard

接続確立時に初期クリップボードを同期するかどうか（制御側から被制御側のみ）、RustDeskクライアント>=1.3.1（制御側）で利用可能

https://github.com/rustdesk/rustdesk/discussions/9010

| 値 | デフォルト | 例 |
| :------: | :------: | :------: |
| Y, N | N | `sync-init-clipboard=Y` |

### allow-logon-screen-password

[クリックのみ承認モード](https://rustdesk.com/docs/en/self-host/client-configuration/advanced-settings/#approve-mode)が使用されている場合にログオン画面でのパスワード入力を許可するかどうか、RustDeskクライアント>=1.3.1（被制御側）で利用可能

https://github.com/rustdesk/rustdesk/discussions/9269

| 値 | デフォルト | 例 |
| :------: | :------: | :------: |
| Y, N | N | `allow-logon-screen-password=Y` |

### allow-https-21114

通常、HTTPSはポート443を使用します。APIサーバーのポートが誤って21114に設定されている場合、RustDeskクライアントはデフォルトで21114ポート設定を削除します。オプションをYに設定すると、21114をHTTPSポートとして使用できます。RustDeskクライアント>=1.3.9で利用可能。

https://github.com/rustdesk/rustdesk-server-pro/discussions/570

| 値 | デフォルト | 例 |
| :------: | :------: | :------: |
| Y, N | N | `allow-https-21114=Y` |

### allow-d3d-render

D3Dレンダリングは高FPSを得てCPU使用率を削減できますが、一部のデバイスでリモートコントロール画面が黒くなる場合があります。RustDeskクライアント>=1.3.9、Windowsのみで利用可能。

| 値 | デフォルト | 例 |
| :------: | :------: | :------: |
| Y, N | N | `allow-d3d-render=Y` |

### allow-hostname-as-id

[ホスト名をIDとして使用](https://github.com/rustdesk/rustdesk-server-pro/discussions/483)、ホスト名のスペースは'-'に置き換えられます。これは100%保証されておらず、RustDeskクライアントが初回実行される時のみ発生します（つまり、新しくインストールされたクライアント）。競合が発生した場合、ランダムなIDが割り当てられます。

RustDeskクライアントバージョン1.4.0以降で利用可能。

| 値 | デフォルト | 例 |
| :------: | :------: | :------: |
| Y, N | N | `allow-hostname-as-id=Y` |

### allow-websocket

WebSocketプロトコルを使用してサーバーとクライアントを接続します。RustDeskクライアント>=1.4.0およびProサーバー>= 1.5.7でのみ利用可能。WebSocketはリレー接続のみをサポートすることに注意してください。

WebSocketを動作させるには、リバースプロキシを正しく設定する必要があります、https://rustdesk.com/docs/en/self-host/rustdesk-server-pro/faq/#8-add-websocket-secure-wss-support-for-the-id-server-and-relay-server-to-enable-secure-communication-for-all-platforms

| 値 | デフォルト | 例 |
| :------: | :------: | :------: |
| Y, N | N | `allow-websocket=Y` |

### allow-numeric-one-time-password

このオプションは数字のみのワンタイムパスワードの使用を有効または無効にします。
RustDeskクライアント>=1.4.1およびProサーバー>= 1.5.9でのみ利用可能。

**ディスカッション**：https://github.com/rustdesk/rustdesk-server-pro/discussions/685

**プレビュー**：https://github.com/rustdesk/rustdesk/pull/11846

| 値 | デフォルト | 例 |
| :------: | :------: | :------: |
| Y, N | N | `allow-numeric-one-time-password=Y` |

### register-device

デバイスを登録しません。Webコンソールのデバイスページに表示されません。

**Proサーバー>= 1.6.0でのみ利用可能で、[custom2ライセンス](https://rustdesk.com/pricing#custom2)と同時接続数>= 2が必要です。**

`register-device=N`の場合、このデバイスでは以下が動作しません。
- ログイン
- `--assign`コマンド
- `preset-address-book-name`, `--preset-address-book-tag`, `preset-user-name`, `preset-strategy-name`, `preset-device-group-name`
- 監査ログ
- ストラテジー

**ディスカッション**：https://github.com/rustdesk/rustdesk-server-pro/discussions/672 および https://github.com/rustdesk/rustdesk-server-pro/discussions/182

| 値 | デフォルト | 例 |
| :------: | :------: | :------: |
| Y, N | Y | `register-device=N` |