---
title: LDAP
weight: 17
---

## 設定
以下に示すように`LDAP`設定ページに移動してください。

![](/docs/en/self-host/rustdesk-server-pro/ldap/images/ldap.png)

- **LDAPホスト：** これはLDAPサーバーのホスト名またはIPアドレスです。例えば、`ldap.example.com` または `192.0.2.1`。

- **LDAPポート：** これはLDAPサーバーがリッスンしているポート番号です。LDAPのデフォルトポートは`389`で、LDAPS（SSL上のLDAP）の場合は`636`です。

- **ベースDN：** これはLDAP検索の開始点です。例えば、dc=example,dc=com。

- **スコープ：** これはLDAPディレクトリ内の検索範囲を決定します。one（ベースDNの直下のエントリ）、またはsub（ベースDNの直下のエントリ）を指定できます。

- **バインドDN / パスワード：** サービスアカウントの管理者ユーザー名とパスワード。このアカウントはLDAPにバインドして他のユーザーを認証するために使用されます。多くの場合、`cn=admin,dc=example,dc=com`のようなユーザーDNです。

- **フィルター：** これはLDAPクエリの検索フィルターです。例えば、`(objectClass=person)`、または`(&(age=28)(!(name=Bob)))`。

- **ユーザー名属性：** これはユーザー名を含む属性です。例えば、`uid` または `sAMAccountName`。デフォルトでは、`uid`と`cn`を使用します。これについての[ディスカッション](https://github.com/rustdesk/rustdesk-server-pro/issues/140#issuecomment-1916804393)があります。

- **StartTLS：** これは接続を安全な接続にアップグレードするためにStartTLSを使用するかどうかを決定します。

- **NoTLSVerify：** これはTLS証明書の検証をスキップするかどうかを決定します。何をしているかを確実に理解していない限り、これをfalse（つまり、証明書検証を実行）のままにしておくことをお勧めします。

## どのように動作しますか？
- LDAPログインはどのように動作しますか、例えば最初に新しいユーザーを作成する必要がありますか、RustDeskは初回ログイン時にユーザーを作成しますか、など？
  > RustDeskは初回ログイン時にユーザーを作成します
- LDAPが動作しているかどうかを確認するにはどうすればよいですか（理想的にはRustDeskに与えて発見されたユーザーを返すコマンド）？
  > 設定を送信すると、提供されたbinddn/passwordを使用してLDAPサーバーに接続し、動作するかどうかを確認します。
- ローカルユーザーをLDAPユーザーに変更するにはどうすればよいですか？
  > まだサポートされていません
- LDAPグループをサポートしていますか？
  > まだサポートされていません