---
title: アクセス制御
weight: 16
---

## デバイスアクセス権限

デバイスは単一のユーザー、単一のデバイスグループ、またはその両方に割り当てることができます。

デバイスがユーザーに割り当てられている場合、そのユーザー、ユーザーグループ、または適切なユーザー間グループ設定を通じてアクセスできます。

デバイスがデバイスグループに割り当てられている場合、適切なユーザー間デバイスグループ設定を通じてアクセスできます。

デバイスをユーザーに割り当てる方法は3つあります：
- コンソールのデバイスページ経由
- クライアント側で指定されたユーザーアカウントにログイン
- 割り当てコマンドライン

デバイスをデバイスグループに割り当てる方法は2つあります：
- コンソールのデバイスページ経由
- 割り当てコマンドライン

以下の2つの状況でデバイスへのアクセスが阻止されます：
- コンソールデバイスページでデバイスを`無効`にする
- コンソールユーザーページでユーザーを`無効`にする

## ユーザーグループアクセス設定

Webコンソールのグループページに移動し、`編集`をクリックして以下のようにグループ間設定を編集してください。

`他のグループとのアクセス`への変更は`OK`ボタンをクリックすることなく即座に有効になります。

`アクセス可能`と`アクセス元`はほとんど同じ機能を提供しており、利便性のため両方のオプションを提供しています。ただし、これにより混乱が生じる可能性があります。

{{% notice note %}}
コントロール側に割り当てられるユーザーとグループは、Webコンソールから割り当てられたユーザーではなく、ログインしたユーザーによって決定されます。これは、iOSクライアントやWebクライアントなど、特定のコントロール側にはデバイスIDがないためです。
{{% /notice %}}

![](/docs/en/self-host/rustdesk-server-pro/permissions/images/crossgrp.png)

## デバイスグループアクセス設定

デバイスグループは、アクセス権限を管理する別の方法を提供します。主要なルールは以下の通りです：

1. デバイスは1つのデバイスグループにのみ追加できます
2. ユーザーまたはユーザーグループからデバイスグループへのアクセス権限を設定できます。これらの権限はユーザーグループアクセス権限と累積的です - つまり、ユーザーグループ権限またはデバイスグループ権限のいずれかが許可する場合、アクセスが許可されます
3. 未割り当てのデバイスがデバイスグループに追加されると、それは「未割り当て」とは見なされなくなります

{{% notice note %}}
デバイスグループ機能にはRustDeskクライアント >= 1.3.8およびRustDesk Server Pro >= 1.5.0が必要です
{{% /notice %}}