---
title: 权限控制
weight: 16
---

## 设备访问权限
设备可以分配给单个用户、单个设备组或两者。

当设备分配给用户时，可以通过该用户、用户组或适当的跨用户组设置进行访问。

当设备分配给设备组时，可以通过适当的跨用户设备组设置进行访问。

有三种方式将设备分配给用户：
- 通过控制台设备页面
- 在客户端登录指定用户账户
- 分配命令行

有两种方式将设备分配给设备组：
- 通过控制台设备页面
- 分配命令行

以下两种情况将阻止设备被访问：
- 在控制台设备页面将设备设置为`禁用`
- 在控制台用户页面将用户设置为`禁用`

## 用户组访问设置

请进入Web控制台的群组页面，点击`编辑`来编辑跨群组设置，如下所示。

您对`与其他群组的访问权限`的修改会立即生效，无需单击`确定`按钮。

`可以访问`和`可以被访问`提供几乎相同的功能，我们提供这两个选项是为了您的方便。然而，这可能会引起一些混乱。

{{% notice note %}}
主控端所在的用户和组是由登录的用户决定，而不是从 Web 控制台分配的用户决定。 我们这样设计是因为某些主控端没有设备ID，例如iOS客户端和Web客户端。
{{% /notice %}}

![](/docs/en/self-host/rustdesk-server-pro/permissions/images/crossgrp.png)

## 设备组访问设置

设备组提供了另一种管理访问权限的方式。以下是主要规则：

1. 一个设备只能添加到一个设备组
2. 您可以为用户或用户组设置对设备组的访问权限。这些权限与用户组访问权限是叠加的 - 也就是说，如果用户组权限或设备组权限允许，就可以访问
3. 当未分配的设备被添加到设备组后，它将不再被视为"未分配"设备

{{% notice note %}}
设备组功能需要 RustDesk 客户端 >= 1.3.8 和 RustDesk Server Pro >= 1.5.0
{{% /notice %}}
