---
title: 存取控制
weight: 16
---

## 設備存取權限

設備可以分配給單一使用者、單一設備群組或兩者皆有。

當設備分配給使用者時，可以由該使用者、使用者群組或透過適當的跨使用者群組設定來存取。

當設備分配給設備群組時，可以透過適當的跨使用者設備群組設定來存取。

有三種方式將設備分配給使用者：
- 透過控制台設備頁面
- 在客戶端登錄到指定的使用者帳戶
- 分配命令列

有兩種方式將設備分配給設備群組：
- 透過控制台設備頁面
- 分配命令列

以下兩種情況會阻止設備被存取：
- 在控制台設備頁面中將設備設為 `停用`
- 在控制台使用者頁面中將使用者設為 `停用`

## 使用者群組存取設定

請前往網頁控制台的群組頁面，點擊 `編輯` 來編輯跨群組設定如下。

您對 `與其他群組的存取` 的修改立即生效，無需點擊 `確定` 按鈕。

`可以存取` 和 `可以被存取` 提供幾乎相同的功能，我們提供兩個選項以方便您使用。但是，這可能會造成一些混淆。

{{% notice note %}}
分配給控制端的使用者和群組由登錄的使用者決定，而不是由網頁控制台分配的使用者決定。我們這樣設計是因為某些控制端沒有設備 ID，例如 iOS 客戶端和網頁客戶端。
{{% /notice %}}

![](/docs/en/self-host/rustdesk-server-pro/permissions/images/crossgrp.png)

## 設備群組存取設定

設備群組提供另一種管理存取權限的方式。以下是主要規則：

1. 設備只能新增到一個設備群組
2. 您可以為使用者或使用者群組設定對設備群組的存取權限。這些權限與使用者群組存取權限是累積的 - 意味著如果使用者群組權限或設備群組權限中的任一個允許，則授予存取權限
3. 當未分配的設備新增到設備群組時，它不再被視為「未分配」

{{% notice note %}}
設備群組功能需要 RustDesk 客戶端 >= 1.3.8 和 RustDesk Server Pro >= 1.5.0
{{% /notice %}}