---
title: ストラテジー
weight: 200
---

ストラテジーは、RustDesk管理者がクライアント設定ページのセキュリティオプションを一括更新するためのツールです。管理者は異なるストラテジーを作成し、異なるデバイスに適用できます。

## ストラテジーの作成

`+`ボタンをクリックして新しいストラテジーを作成し、ストラテジーにカーソルを合わせてメニューをクリックすることで、ストラテジーに対して様々なアクションを実行できます。

ポップアップメニューでは、ストラテジーの`有効化`または`無効化`、`名前変更`、`複製`、`削除`を選択できます。さらに、`デバイスの編集`をクリックしてそのストラテジーに適用されるデバイスを変更したり、`ユーザーの編集`をクリックしてそのストラテジーに適用されるユーザーを変更することができます。

ストラテジーメニューの右側には、ストラテジーの優先度を考慮して、実際にストラテジーに適用されているデバイス数を確認できます。

![](/docs/en/self-host/rustdesk-server-pro/strategy/images/strategy_menu.png)

## デバイスストラテジー、ユーザーストラテジー、デバイスグループストラテジー

ストラテジーは以下の優先順序に従って適用されます：
1. デバイスストラテジー（最高優先度）
2. ユーザーストラテジー
3. デバイスグループストラテジー（最低優先度）

各デバイスは一度に1つのストラテジーによってのみ管理できます。優先度システムは以下のように動作します：
- デバイスストラテジーはユーザーストラテジーとデバイスグループストラテジーよりも優先されます
- ユーザーストラテジーはデバイスグループストラテジーよりも優先されます
- デバイスグループストラテジーは、デバイスストラテジーまたはユーザーストラテジーが割り当てられていないデバイスグループ内のすべてのデバイスに適用されます

## デバイスの編集

`デバイスの編集`メニューをクリックすると、すべてのデバイスを表示する編集ダイアログボックスが開きます。チェックボックスの選択状態を変更してから`保存`ボタンをクリックして、現在のページで行われたデバイスの変更を適用できます。他のページのデバイスを変更する必要がある場合は、それらのページに移動してください。右上角のドロップダウンメニューを使用してデバイスをフィルタリングすることもできます。

ストラテジー列の形式：デバイスストラテジー/ユーザーストラテジー/デバイスグループストラテジー、またはデフォルトストラテジーの場合は"-"。

以下は「demo1」メニューで`デバイスの編集`をクリックしたときに表示されるダイアログボックスの例です。この例では、デバイス「1981241962」は「demo3」ストラテジーに適用されています；デバイス「1279471875」は「demo2」ストラテジーに適用されています；デバイス「a123456」は「demo1」ストラテジーに適用されています；デバイス「1227624460」はデフォルトストラテジーに適用されています。

![](/docs/en/self-host/rustdesk-server-pro/strategy/images/edit_devices.png)

## ユーザーの編集

`ユーザーの編集`メニューをクリックすると、すべてのユーザーを表示する編集ダイアログボックスが開きます。チェックボックスの選択状態を変更してから`保存`ボタンをクリックして、現在のページで行われたユーザーの変更を適用できます。他のページのユーザーを変更する必要がある場合は、それらのページに移動してください。右上角のドロップダウンメニューを使用してユーザーをフィルタリングすることもできます。

以下は「demo2」メニューで`ユーザーの編集`をクリックしたときに表示されるダイアログボックスの例です。この例では、ユーザー「admin」は「default」ストラテジーに適用されています；ユーザー「user1」は「demo2」ストラテジーに適用されています；ユーザー「user2」は「demo3」ストラテジーに適用されています。

![](/docs/en/self-host/rustdesk-server-pro/strategy/images/edit_users.png)

## デバイスグループの編集

`デバイスグループの編集`メニューをクリックすると、すべてのデバイスグループを表示する編集ダイアログボックスが開きます。チェックボックスの選択状態を変更してから`保存`ボタンをクリックして、現在のページで行われたデバイスグループの変更を適用できます。他のページのデバイスグループを変更する必要がある場合は、それらのページに移動してください。右上角のドロップダウンメニューを使用してデバイスグループをフィルタリングすることもできます。

以下は「demo1」メニューで`デバイスグループの編集`をクリックしたときに表示されるダイアログボックスの例です。この例では、デバイスグループ「device_group1」は「demo1」ストラテジーに適用されています；デバイスグループ「group2」は「demo2」ストラテジーに適用されています；デバイスグループ「group3」は「default」ストラテジーに適用されています。

![](/docs/en/self-host/rustdesk-server-pro/strategy/images/edit_device_groups.png)

## ストラテジーの同期

各デバイスは1つのストラテジーによってのみ管理でき、そのストラテジーが無効になっている場合、デバイスはどのストラテジーによっても管理されません。ストラテジーを同期する際、RustDeskはローカルとサーバーのストラテジータイムスタンプを記録して、同期が必要かどうかを判断します。つまり、ストラテジー同期が完了した後：

* ユーザーがいくつかのオプションを変更した場合、クライアントはユーザーのオプションを使用します。
* 管理者がストラテジーの内容を変更した場合、クライアントのオプションが同期されます。
* 管理者がデバイスが属するストラテジーを変更した場合、クライアントのオプションが同期されます。

## ストラテジーの編集

ストラテジーの下部で`編集`をクリックし、変更を行って`送信`をクリックします。ストラテジーは30秒以内にデバイスに同期されます。
