---
title: 策略
weight: 200
---

策略是 RustDesk 管理员用于批量更新客户端设置页的安全选项的工具。管理员可以创建不同的策略，并将其应用到不同的设备上。

## 创建策略

您可以通过点击`+`号创建新的策略，鼠标悬停在策略上并点击菜单可以对策略进行操作。

在弹出的菜单中，您可以选择`启用`或`禁用`策略，`重命名`、`复制`或`删除`策略。此外，您还通过点击`编辑设备`来更改应用到该策略的设备, 或者通过点击`编辑用户`来更改应用到该策略的用户。

在策略菜单的右侧，您可以看到考虑了策略优先级之后, 实际应用当前策略的设备数量。

![](/docs/en/self-host/rustdesk-server-pro/strategy/images/strategy_menu.png)


## 设备策略、用户策略和设备组策略

策略按照以下优先级顺序应用：
1. 设备策略（最高优先级）
2. 用户策略
3. 设备组策略（最低优先级）

每个设备在同一时间只能由一个策略管理。优先级系统的工作方式如下：
- 设备策略优先于用户策略和设备组策略
- 用户策略优先于设备组策略
- 设备组策略应用于设备组中没有设备策略或用户策略的所有设备

## 编辑设备

当您点击`编辑设备`菜单时，将打开显示所有设备的编辑对话框。您可以更改复选框的选择状态，然后点击`保存`按钮来应用当前页面上的设备更改。如果您需要修改其他页面上的设备，请导航到这些页面。您也可以使用右上角的下拉菜单来筛选设备。

策略列格式：设备策略/用户策略/设备组策略，或者 "-" 表示默认策略。

这是点击"demo1"菜单上的`编辑设备`时出现的对话框示例。在此示例中，设备"1981241962"应用了"demo3"策略；设备"1279471875"应用了"demo2"策略；设备"a123456"应用了"demo1"策略；设备"1227624460"应用了默认策略。

![](/docs/en/self-host/rustdesk-server-pro/strategy/images/edit_devices.png)

## 编辑用户

当您点击`编辑用户`菜单时，将打开显示所有用户的编辑对话框。您可以更改复选框的选择状态，然后点击`保存`按钮来应用当前页面上的用户更改。如果您需要修改其他页面上的用户，请导航到这些页面。您也可以使用右上角的下拉菜单来筛选用户。

这是点击"demo2"菜单上的`编辑用户`时出现的对话框示例。在此示例中，用户"admin"应用了"default"策略；用户"user1"应用了"demo2"策略；用户"user2"应用了"demo3"策略。

![](/docs/en/self-host/rustdesk-server-pro/strategy/images/edit_users.png)

## 编辑设备组

当您点击`编辑设备组`菜单时，将打开显示所有设备组的编辑对话框。您可以更改复选框的选择状态，然后点击`保存`按钮来应用当前页面上的设备组更改。如果您需要修改其他页面上的设备组，请导航到这些页面。您也可以使用右上角的下拉菜单来筛选设备组。

这是点击"demo1"菜单上的`编辑设备组`时出现的对话框示例。在此示例中，设备组"device_group1"应用了"demo1"策略；设备组"group2"应用了"demo2"策略；设备组"group3"应用了"default"策略。

![](/docs/en/self-host/rustdesk-server-pro/strategy/images/edit_device_groups.png)

## 策略同步

每个设备只能被一个策略所管理，如果这个策略被禁用了，设备将不再受到任何策略的管理。在同步策略时，RustDesk会记录本地和服务器策略的时间点，并据此来判断是否需要同步。即, 当策略同步完成后:
* 如果用户更改了某些选项，客户端将使用用户的选项。
* 如果管理员更改了策略的内容，客户端的选项将被同步。
* 如果管理员更改了设备所属的策略，客户端的选项将被同步

## 修改策略

在策略底部，点击`编辑`，完成修改后点击`提交`。策略将在30秒内同步到设备。

