---
title: 策略
weight: 200
---

策略是 RustDesk 管理員批量更新客戶端設定頁面安全選項的工具。管理員可以建立不同的策略並將其應用於不同的設備。

## 建立策略

您可以點擊 `+` 按鈕建立新策略，並通過懸停並點擊選單對策略執行各種操作。

在彈出選單中，您可以選擇 `啟用` 或 `停用` 策略、`重新命名`、`複製` 或 `刪除` 它。此外，您可以點擊 `編輯設備` 來修改應用於該策略的設備，或點擊 `編輯使用者` 來修改應用於該策略的使用者。

在策略選單的右側，您可以看到實際應用於策略的設備數量，考慮了策略的優先級。

![](/docs/en/self-host/rustdesk-server-pro/strategy/images/strategy_menu.png)

## 設備策略、使用者策略和設備群組策略

策略按照以下優先順序應用：
1. 設備策略（最高優先級）
2. 使用者策略
3. 設備群組策略（最低優先級）

每個設備一次只能由一個策略管理。優先級系統的運作方式如下：
- 設備策略優先於使用者策略和設備群組策略
- 使用者策略優先於設備群組策略
- 設備群組策略適用於設備群組中沒有分配設備策略或使用者策略的所有設備

## 編輯設備

當您點擊 `編輯設備` 選單時，將打開一個顯示所有設備的編輯對話框。您可以更改核取方塊的選擇狀態，然後點擊 `儲存` 按鈕來應用在目前頁面上所做的設備更改。如果您需要修改其他頁面上的設備，請導航到那些頁面。您也可以使用右上角的下拉選單來篩選設備。

策略欄位格式：設備策略/使用者策略/設備群組策略，或預設策略為 "-"。

以下是點擊 "demo1" 選單中的 `編輯設備` 時出現的對話框範例。在此範例中，設備 "1981241962" 應用於 "demo3" 策略；設備 "1279471875" 應用於 "demo2" 策略；設備 "a123456" 應用於 "demo1" 策略；設備 "1227624460" 應用於預設策略。

![](/docs/en/self-host/rustdesk-server-pro/strategy/images/edit_devices.png)

## 編輯使用者

當您點擊 `編輯使用者` 選單時，將打開一個顯示所有使用者的編輯對話框。您可以更改核取方塊的選擇狀態，然後點擊 `儲存` 按鈕來應用在目前頁面上所做的使用者更改。如果您需要修改其他頁面上的使用者，請導航到那些頁面。您也可以使用右上角的下拉選單來篩選使用者。

以下是點擊 "demo2" 選單中的 `編輯使用者` 時出現的對話框範例。在此範例中，使用者 "admin" 應用於 "default" 策略；使用者 "user1" 應用於 "demo2" 策略；使用者 "user2" 應用於 "demo3" 策略。

![](/docs/en/self-host/rustdesk-server-pro/strategy/images/edit_users.png)

## 編輯設備群組

當您點擊 `編輯設備群組` 選單時，將打開一個顯示所有設備群組的編輯對話框。您可以更改核取方塊的選擇狀態，然後點擊 `儲存` 按鈕來應用在目前頁面上所做的設備群組更改。如果您需要修改其他頁面上的設備群組，請導航到那些頁面。您也可以使用右上角的下拉選單來篩選設備群組。

以下是點擊 "demo1" 選單中的 `編輯設備群組` 時出現的對話框範例。在此範例中，設備群組 "device_group1" 應用於 "demo1" 策略；設備群組 "group2" 應用於 "demo2" 策略；設備群組 "group3" 應用於 "default" 策略。

![](/docs/en/self-host/rustdesk-server-pro/strategy/images/edit_device_groups.png)

## 策略同步

每個設備只能由一個策略管理，如果該策略被停用，設備將不會由任何策略管理。同步策略時，RustDesk 記錄本地和伺服器策略時間戳以決定是否需要同步。也就是說，策略同步完成後：

* 如果使用者更改了某些選項，客戶端將使用使用者的選項。
* 如果管理員更改了策略內容，客戶端的選項將被同步。
* 如果管理員更改了設備所屬的策略，客戶端的選項將被同步。

## 編輯策略

在策略底部，點擊 `編輯`，進行修改並點擊 `提交`。策略將在 30 秒內同步到設備。
