---
title: 'Privacy Policy'
layout: '~/layouts/MarkdownLayout.astro'
---

This Privacy Policy (hereinafter the “**Policy**”) governs the terms and conditions under which Purslane Ltd. (hereinafter “**us**” or “**we**”), processes personal data in connection with the activities and services concerning the operation of the website rustdesk.com and other websites or social media profiles run and managed by us (hereinafter the “**Websites**”).

We are serious about protecting your personal data and want you to feel safe and comfortable while browsing our Websites. We therefore respect the confidentiality of your personal data and always proceed in accordance with the provisions of data protection legislation, in particular, Regulation (EU) 2016/679 of the European Parliament and of the Council (General Data Protection Regulation, hereinafter the “**GDPR**”), and follow this Policy.

With respect to the above, we use this Policy to inform you about how, for what purposes and to what extent we use your personal data and what information about you as a user of the Websites we may process.

## 1. Definitions
“**Personal data**” means any information relating to a data subject;

“**Controller**” means the natural or legal person, public authority, agency or other body which, alone or jointly with others, determines the purposes and means of the processing of personal data;

“**Data subject**” means any identified or identifiable person who can be identified, directly or indirectly, in particular by reference to an identifier such as a name, an identification number, location data, an online identifier or to one or more factors specific to the physical, physiological, genetic, mental, economic, cultural or social identity of that natural person;

“**Data processor**” means a natural or legal person, public authority, agency or other body which processes personal data on behalf of the controller;

“**Processing**” means any operation or set of operations which is performed on personal data or on sets of personal data, whether or not by automated means, such as collection, recording, organization, structuring, storage, adaptation or alteration, retrieval, consultation, use, disclosure by transmission, dissemination or otherwise making available, alignment or combination, restriction, erasure or destruction.

## 2. Basic information about personal data processing conducted by us
We always process your personal data lawfully, fairly, in a transparent manner and for specified, explicit and legitimate purposes. We process personal data only to the minimum necessary extent and we keep them in a form which permits your identification for no longer than is necessary vis-à-vis the purpose of the processing.

We process your personal data in a manner that sufficiently ensures their integrity and confidentiality, i.e. by appropriate technical or organizational measures and appropriate protection against unauthorized or unlawful processing and against loss, destruction or damage. We take care to ensure that personal data that are inaccurate, having regard to the purpose for which we process them, are erased or rectified without delay.

We respect the principle of refraining from personal data processing and the principle of data minimization. We therefore only retain your personal data if it is necessary in order to achieve the purpose of the processing or for various retention periods specified by law. The relevant data are erased in accordance with the law if the relevant purpose ceases to exist as a result of the withdrawal of your consent and/or upon the expiration of the lawful retention period.

For the above reasons, we use computer security such as a firewall and data encryption to operate our Websites. We have implemented adequate physical, electronic and procedural safeguards and use reliable IT service providers. However, given the nature of the internet, we would like to bring to your attention the fact that certain security gaps may exist in the transmission of personal data via the internet (e.g. in communication via e-mail) and that full protection of personal data preventing third party access is impossible.

## 3. Legal ground, purpose and extent of the processing of your personal data
We may process your personal data for the following legal grounds and for the following purposes:

### a. Provision and improvement of and support for our Websites
We process various information about your online activity, e.g. the time of access to our Websites, the time spent on our websites, conversions (i.e. completed activity on our Websites), etc., for the purposes of technical support and improvement of our Websites as well as monitoring of functionalities thereof (for details regarding the extent of the data being processed see Article 4 (c) - d) of this Policy).

For this purpose of personal data processing, we process your personal data under the lawful ground of legitimate interest (operation of the Websites, statistical purposes and data security).

### b. Processing of the personal data of the visitors to the Websites
If you publish any personal data on our Websites, we may process such personal data to the extent published for the purpose of responding to your post. Usually, we process following personal data categories on our Websites: your name, surname and any personal data which you upload on the Websites or which we receive via personal messages.

For these purposes of personal data processing, we process the above mentioned personal data under lawful ground of negotiation and performance of a contract (customer and technical support under the RustDesk software license agreement concluded between us and yourself) and legitimate interest (general communication between us and yourself).

### c. Cookies
We use various cookie files, which may contain your personal data (e.g. your IP address or the configuration of your browser and computer). We use cookies on the basis of your consent that you express via the cookies settings displayed to you in a banner during your first visit to our Websites. This consent can be subsequently amended / withdrawn via your web browser settings (to the extended allowed by the respective browser).

### d. RustDesk
To provide you with the RustDesk software application and to constantly improve our services including customer support, we process following personal data about you and your device: start of the RustDesk software application, IP-address of the device, statistical information about your computer (e.g. CPU-type, screen resolution), time and duration of RustDesk software sessions and RustDesk-IDs of the RustDesk’s session participants.

We process the personal data acquired via the RustDesk software under lawful grounds of performance of a contract (performance of RustDesk software license agreement concluded between us and yourself including customer support) and our legitimate interest (RustDesk software development).
