---
title: 'Terms and Conditions'
layout: '~/layouts/MarkdownLayout.astro'
---

This Agreement (“Agreement”) is a legal agreement between you (either an individual or an entity) and PURSLANE LTD. (“Company”) and applies to your use of the Software (“Software”) provided by Company. By accessing or using the Software, you agree to be bound by the terms and conditions of this Agreement. If you do not agree to the terms and conditions of this Agreement, do not use the Software.

## 1. License
Company grants you a limited, non-exclusive, non-transferable, revocable license to use the Software for your personal or internal business use, subject to the terms and conditions of this Agreement. You are not allowed to rent, lease, lend, sell, redistribute, or sublicense the Software or any part of it.

## 2. Restrictions
You shall not, and shall not allow any third party to:
- modify, adapt, translate, or create derivative works of the Software
- reverse engineer, decompile, disassemble, or otherwise attempt to derive the source code of the Software
- remove, alter, or obscure any copyright, trademark, or other proprietary rights notices from the Software
- use the Software in any manner that violates any applicable laws or regulations
  
## 3. Ownership
The Software and all intellectual property rights in and to the Software, including but not limited to patents, copyrights, trademarks, and trade secrets, are owned by Company and its licensors. This Agreement does not grant you any ownership rights in the Software.

## 4. Support and Maintenance
Company may provide support and maintenance for the Software at its sole discretion. The terms and conditions of such support and maintenance will be separately agreed upon by the parties.

## 5. Termination
This Agreement is effective until terminated. Company may terminate this Agreement at any time without notice if you breach any term or condition of this Agreement. Upon termination, you must destroy all copies of the Software.

## 6. Disclaimer of Warranties
The Software is provided “as is” and without warranty of any kind. Company and its licensors hereby disclaim all warranties, express or implied, including but not limited to the implied warranties of merchantability, fitness for a particular purpose, and non-infringement. Company does not warrant that the Software will meet your requirements or that the operation of the Software will be uninterrupted or error-free.

## 7. Limitation of Liability
To the maximum extent permitted by law, Company and its licensors shall not be liable for any damages whatsoever (including, without limitation, damages for loss of business profits, business interruption, loss of business information, or any other pecuniary loss) arising out of the use or inability to use the Software, even if Company has been advised of the possibility of such damages.

## 8. Indemnification
You shall indemnify and hold Company and its affiliates, officers, agents, and employees harmless from any claim or demand, including reasonable attorneys’ fees, made by any third party due to or arising out of your use of the Software, your violation of this Agreement, or your violation of any rights of another.

## 9. Governing Law
This Agreement shall be governed by and construed in accordance with the laws of The Cayman Islands, without giving effect to any principles of conflicts of law.

## 10. Entire Agreement
This Agreement constitutes the entire agreement between you and Company and supersedes all prior or contemporaneous communications and proposals, whether oral or written.

## 11. Waiver
The failure of either party to exercise any right provided for herein shall not be deemed a waiver of any right hereunder.

## 12. Severability
If any provision of this Agreement is found to be invalid or unenforceable, the remaining provisions shall remain in full force and effect.

## 13. No Assignment
You may not assign or transfer this Agreement or any rights or obligations hereunder without the prior written consent of the Company.

## 14. Force Majeure
Company shall not be liable for any delay or failure to perform resulting from causes outside its reasonable control, including, but not limited to, acts of God, war, terrorism, strikes, shortages of labor or materials, and governmental actions.

## 15. Relationship of the Parties
This Agreement does not create a partnership, joint venture, or agency relationship between you and Company.

## 16. No Third-Party Beneficiaries
This Agreement is for the benefit of the parties hereto and their successors and assigns, and is not for the benefit of, nor may any provision hereof be enforced by, any other person.

## 17. Headings
The headings in this Agreement are for convenience only and shall not affect the interpretation of this Agreement.

## 18. Counterparts
This Agreement may be executed in counterparts, each of which shall be deemed an original, but all of which together shall constitute one and the same instrument.

## 19. Survival
The provisions of this Agreement that by their nature should survive termination shall survive termination, including, but not limited to, provisions regarding ownership, warranty disclaimers, indemnification, and limitations of liability.

## 20. Disclaimer of Usage
RustDesk, being Remote Control Software, possesses the capability to facilitate a wide range of activities, both legitimate and otherwise. It is imperative to acknowledge that RustDesk is a tool and does not inherently endorse or condone any specific use. As such, the Company explicitly disclaims any responsibility or liability for any damages, losses, or consequences that may arise from the use of our software. Users are advised to utilize RustDesk responsibly and in compliance with applicable laws and ethical standards. Please refer to the terms and conditions outlined in Sections 7 (Limitation of Liability) and 8 (Indemnification) for further details regarding the extent of our liability protections and user obligations.
